/*****************************************************************************/
/** File    : connect.c                                                     **/
/** Purpose : connecting to the daemon and leaving                          **/
/** Authors : M.L. Drillaud V. Lataste L. Pringot T. Ramiere J.L. Richard   **/
/** Date    : 1st Mar 1992                                                  **/
/*****************************************************************************/

#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include "defines.h"

extern void Write_nb(int,
		     char *,
		     struct sockaddr_in *);   /* From manip_sock.c */
extern void *Our_alloc(long);                 /* From our_alloc.c */


int Connect_daemon(int sock,
		    struct sockaddr *ad_sock)
{
  /* Connect, send passwd and uid to the daemon. 
     Used by the interface. 
     Return value : 0 if successful, -1 otherwise. */

  long sockaddr_size;
  char *uid;

  uid=(char *)Our_alloc(UID_SIZE_IN_CHAR);
  if (connect(sock,ad_sock,sizeof(struct sockaddr)) == -1)
    return -1;
  Write_nb(sock,XPROC_PASSWD,NULL);
  sprintf(uid,"%d",getuid());
  Write_nb(sock,uid,NULL);
  return 0;
}

void End_connect(int sock)
{
  /* Send a special message when the interface leaves. 
     Used by the interface. 
     Return value : none. */

  Write_nb(sock,"XBYE",NULL);
  close(sock);
}
