/*****************************************************************************/
/** File    : host_interfa.c                                                **/
/** Purpose : create process window for each host                           **/
/** Authors : M.L. Drillaud V. Lataste L. Pringot T. Ramiere J.L. Richard   **/
/** Date    : 1st Mar 1992                                                  **/
/*****************************************************************************/
#include "xproc.h"
#include "interface.h"
#include "structure.h"
  
#include <X11/Shell.h>
#include <X11/Xaw/Viewport.h>
#include <X11/Xaw/Form.h>

extern XedwList ** Create_host_ps_list (String ); /* list.c */
extern int Nb_ps_by_host (String ); /* list.c */
extern struct host_ps * Goto_host (String ); /* goto.c */
extern int Ask_daemon_and_build_list(String,Widget); /* list.c */

extern int sock;

window_type * Create_Host_Interface (String  w_ps_name)
{
  /* create Widget including all user process 
     on host titled w_ps_name.
     it's the nb_w_ps'th created host Widget */

  Arg arglist[1];
  XedwList ** list1;
  
  w_ps[nb_w_ps].toplevel = 
    XtCreatePopupShell ("Host_toplevel",
			topLevelShellWidgetClass,
			w_main.itself,
			NULL,ZERO); 
  /* Widget title is w_ps_name */
  XtSetArg (arglist[0], XtNtitle,w_ps_name);
  XtSetValues (w_ps[nb_w_ps].toplevel,arglist,1);
  
  w_ps[nb_w_ps].itself=
    XtCreateManagedWidget ("Host_form",
			   formWidgetClass,
			   w_ps[nb_w_ps].toplevel,
			   NULL,ZERO);
  
  w_ps[nb_w_ps].scroll = 
    XtCreateManagedWidget ("Scroll",
			   viewportWidgetClass,
			   w_ps[nb_w_ps].itself,
			   NULL,ZERO);
  
  w_ps[nb_w_ps].list.itself = 
    XtCreateManagedWidget ("List",
			   xedwListWidgetClass,
			   w_ps[nb_w_ps].scroll,
			   NULL,ZERO);
  
  w_ps[nb_w_ps].list.highlighted_ps =
    (XedwListReturnStruct *)Our_XtMalloc (sizeof(XedwListReturnStruct));

  if(Ask_daemon_and_build_list(w_ps_name,w_ps[nb_w_ps].list.itself)==-1)
    {
      XtFree(w_ps[nb_w_ps]);
      return NULL;
    }
  nb_w_ps++;
  return &w_ps[nb_w_ps-1];
}









