/*****************************************************************************/
/** File    : init_pixmap.c                                                 **/
/** Purpose : load and initialize default icons                             **/
/** Authors : M.L. Drillaud V. Lataste L. Pringot T. Ramiere J.L. Richard   **/
/** Date    : 1st Mar 1992                                                  **/
/*****************************************************************************/
#include "xproc.h"

#include "default_host.icon"
#include "default_command.icon"
#include "default_ps.icon"
#include "default_grey.mask"

#include "interface.h"

Pixmap host_pixmap;
Pixmap command_pixmap;
Pixmap ps_pixmap;
Pixmap grey_pixmap;

GC xprocgc;

void Initialize_pixmap (void)
{

  /* create default grey, host, command and ps pixmaps.
     these are the only bitmap files included in sources.
     size must be 32x32 */
     
  XGCValues values;
  
  grey_pixmap = XCreateBitmapFromData (XtDisplay(toplevel),
				       RootWindowOfScreen(XtScreen(toplevel)),
				       default_grey_bits,
				       default_grey_width,default_grey_height);
  
  host_pixmap = XCreateBitmapFromData (XtDisplay(toplevel),
				       RootWindowOfScreen(XtScreen(toplevel)),
				       default_host_bits,
				       default_host_width,default_host_height);
  
  command_pixmap = XCreateBitmapFromData (XtDisplay(toplevel),
					  RootWindowOfScreen(XtScreen(toplevel)),
					  default_command_bits,
					  default_command_width,default_command_height); 
  
  ps_pixmap = XCreateBitmapFromData (XtDisplay(toplevel),
				     RootWindowOfScreen(XtScreen(toplevel)),
				     default_ps_bits,
				     default_ps_width,default_ps_height); 
  
  /* Is background black ? */
  if  ((BlackPixelOfScreen(XtScreen(toplevel))) == 1) 
    {
      values.background = WhitePixelOfScreen (XtScreen(toplevel));
      values.foreground = BlackPixelOfScreen (XtScreen(toplevel));
    }
  else 
    {
      values.background = BlackPixelOfScreen (XtScreen(toplevel));
      values.foreground = WhitePixelOfScreen (XtScreen(toplevel));
    }
  
  xprocgc = XtGetGC (toplevel, (unsigned) GCBackground|GCForeground, &values);
} 

