/*****************************************************************************/
/** File    : interface.h                                                   **/
/** Authors : M.L. Drillaud V. Lataste L. Pringot T. Ramiere J.L. Richard   **/
/** Date    : 1st Mar 1992                                                  **/
/*****************************************************************************/

#ifndef INTERFACE
#define INTERFACE

#include "dqueue.h"
#include "Xedw/XedwList.h"

#define MAXARGSLEN 300

typedef struct {
  Widget toplevel;
  Widget itself;
  Widget scroll;
  struct{
    Widget itself;
    XedwListReturnStruct *highlighted_ps;
  }list;
}window_type;

struct w_button{
  Widget itself;
  Widget info;
  Widget quit;
};

struct {
  Widget itself;
  struct w_button box;
  window_type command;
  window_type host;
}w_main;

typedef struct {
  Widget itself;
  String label;
}label_type;

struct {
  Widget toplevel;
  struct {
    Widget itself;
    label_type name;
    label_type pid;
    label_type state;
    label_type ppid;
    label_type args;
    label_type child;
  }form;
}state;

struct {
  Widget itself;
  Widget main_form;
  struct {
    Widget itself;
    String name;
  }label;
  struct {
    Widget form;
    Widget label;
    Widget list;
    String chosen_name;
  }choice;
  struct{
    Widget itself;
    Widget scroll;
    struct {
      Widget itself;
      String *ps;
      int number;
    }list;
  }list_form;
  struct {
    Widget itself;
    Widget execute;
    Widget cancel;
  }answer_form;
} w_confirm;
  
Widget state_ps_window;  
window_type w_ps[100];
int nb_w_ps;

XtAppContext app_con;
Widget toplevel;
dqueue empty_queue;
String xproc_home;

typedef struct {
  String cffile;
}AppData,*AppDataPtr;

AppData app_data;
XrmDatabase db_xproc;

#endif INTERFACE
