/*****************************************************************************/
/** File    : parse.c                                                       **/
/** Purpose : parse .xprocrc or -cf file and initialize Lists               **/
/** Authors : M.L. Drillaud V. Lataste L. Pringot T. Ramiere J.L. Richard   **/
/** Date    : 1st Mar 1992                                                  **/
/*****************************************************************************/

#include "xproc.h"
#include "interface.h"

extern void * Our_XtMalloc(long); /* main.c */
extern void parser (void); /* parse.c */
extern FILE *yyin;
extern int sock;

void parse_cfile (void)
{
  String setupfile;

  setupfile = (String) Our_XtMalloc ((strlen(xproc_home) + 10) * sizeof(char));
  strcpy(setupfile, xproc_home);
  strcat(setupfile, "/.xprocrc");
  
  if (((yyin = fopen(app_data.cffile, "r")) == NULL)&&  /* try appdefaults */
      ((yyin = fopen(setupfile,       "r")) == NULL)&&   /* try home dir */
      ((yyin = fopen(SYSTEM_XPROCRC,  "r")) == NULL)) {  /* try system dir */
    fprintf(stderr, "Error:No user or system .xprocrc found\n");
    fprintf(stderr, "      either install an .xprocrc or specify one on the\n");
    fprintf(stderr, "      command line using the -cf option\n");
    close(sock);
    XtFree(setupfile);
    exit (-1);
  } else {
    /* parse the file */
    parser ();
    close (yyin);
  }
}  

